# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetErrorExit

Function

Determines the action taken when DXSetError is called in a stand-alone program.

Syntax
`
#include <dx/dx.h>
`

Void DXSetErrorExit(int level);

Functional Details

Valid arguments for `level` are:

`0` | = store error message. Use `DXPrintError()` to print when ready.
`1` | = print error message and return.
`2` | = print error message and exit.

This routine is intended for those using Data Explorer library routines in their own programs, and for use only in stand-alone programs. By default, `DXInitModules` sets `level` to 1 (one). `DXSetErrorExit` affects the behavior of `DXSetError` only outside those built-in Data Explorer modules called with `DXCallModule`.

Return Value

No return value.

See Also

`DXGetErrorExit`

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]